from core import html

static = [
    {
        "route"	: "/templates/SBModernBiz/css/<filepath:re:.*\.(css|sass|css.map)>",
        "root"	: "./templates/SBModernBiz/static/css"
    }
]

def main(dir, page):
    html_template	= html.main.get_html("templates/SBModernBiz/html")
    html_components	= html.main.get_html("templates/SBModernBiz/html/components")
    html_page		= html.main.get_html(dir)
    return {
        "index"		: html_template		[ "index.html"		],
        "navbar"	: html_template		[ "navbar.html"		],
        "footer"	: html_template		[ "footer.html"		],
        "fullpic"	: html_components	[ "fullpic.html"	],
        "header"	: html_components	[ "header.html"		],
        "features"	: html_components	[ "features.html"	],
        "testimonial"	: html_components	[ "testimonial.html"	],
        "blog-preview"	: html_components	[ "blog-preview.html"	],
        "cta"		: html_components	[ "cta.html"		],
        "container"	: html_page		[f"{page}.html"		]
    }
